Bug 1142574 - LTO: cryfs ppc64 BE: __builtin_crypto_vpmsumd requires the -mpower8-vector
LTO: cryfs ppc64 BE: __builtin_crypto_vpmsumd requires the -mpower8-vector
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Development
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Klaas Freitag
E-mail List
:
Depends on:
Blocks: 1133084
  Show dependency treegraph
 
Reported: 2019-07-24 06:45 UTC by Michel Normand
Modified: 2022-08-05 22:40 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
cryfs_standard__ppc64_201907240835.log (1020.05 KB, text/x-log)
2019-07-24 06:45 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Normand 2019-07-24 06:45:22 UTC
Created attachment 811389 [details]
cryfs_standard__ppc64_201907240835.log

cryfs ppc64 build failure: __builtin_crypto_vpmsumd requires the -mpower8-vector

as reported in openSUSE:Factory:PowerPC (1) log saved as attachment.


(1) https://build.opensuse.org/package/live_build_log/openSUSE:Factory:PowerPC/cryfs/standard/ppc64
===
[ 1024s] lto1: error: builtin function '__builtin_crypto_vpmsumd' requires the '-mpower8-vector' option
[ 1024s] lto1: fatal error: target specific builtin not available
[ 1024s] lto-wrapper: fatal error: /usr/bin/c++ returned 1 exit status
[ 1024s] /usr/lib64/gcc/powerpc64-suse-linux/9/../../../../powerpc64-suse-linux/bin/ld: error: lto-wrapper failed
[ 1024s] collect2: error: ld returned 1 exit status
[ 1042s] error: Bad exit status from /var/tmp/rpm-tmp.caXmGn (%build)
===
Comment 1 Michel Normand 2019-07-24 07:02:49 UTC
no such failure if lto is disabled (adding %define _lto_cflags %{nil} in spec)
Comment 2 Michel Normand 2019-08-02 06:22:17 UTC
(In reply to Michel Normand from comment #1)
> no such failure if lto is disabled (adding %define _lto_cflags %{nil} in
> spec)

do not know how to investigate;
in the mean time disable lto for ppc64 with https://build.opensuse.org/request/show/720226
Comment 3 Klaas Freitag 2020-05-18 06:28:30 UTC
The lto flags are disabled now, so this can be considered fixed I guess.
Comment 4 OBSbugzilla Bot 2022-08-01 10:40:03 UTC
This is an autogenerated message for OBS integration:
This bug (1142574) was mentioned in
https://build.opensuse.org/request/show/991986 Backports:SLE-15-SP3+Backports:SLE-15-SP4 / cryfs+range-v3
Comment 5 OBSbugzilla Bot 2022-08-05 22:40:04 UTC
This is an autogenerated message for OBS integration:
This bug (1142574) was mentioned in
https://build.opensuse.org/request/show/993392 Backports:SLE-15-SP3+Backports:SLE-15-SP4 / cryfs+range-v3